| OpenMesh

Public Member Functions | Static Public Member Functions | Protected Member Functions | Static Protected Attributes | List of all members
OpenMesh::IO::_OMWriter_ Class Reference

Implementation of the OM format writer. More...

`#include <OpenMesh/Core/IO/writer/OMWriter.hh>`

Inheritance diagram for OpenMesh::IO::_OMWriter_:
[legend]
Collaboration diagram for OpenMesh::IO::_OMWriter_:
[legend]

## Public Member Functions
| _OMWriter_ ()
| Constructor.
virtual | ~_OMWriter_ ()
| Destructor.
std::string | get_description () const override
| Return short description of the supported file format.
std::string | get_extensions () const override
| Return file format's extension.
bool | write (std::ostream &, BaseExporter &, Options, std::streamsize _precision=6) const override
| Write to a std::ostream. More...
size_t | binary_size (BaseExporter &_be, Options _opt) const override
| Returns expected size of file if binary format is supported else 0.
Public Member Functions inherited from OpenMesh::IO::BaseWriter
virtual | ~BaseWriter ()
| Destructor.
virtual bool | can_u_write (const std::string &_filename) const
| Returns true if writer can write _filename (checks extension). More...

## Static Public Member Functions
static OMFormat::uint8 | get_version ()

## Protected Member Functions
bool | write (const std::string &, BaseExporter &, Options, std::streamsize _precision=6) const override
| Write to a file. More...
bool | write_binary (std::ostream &, BaseExporter &, Options) const
size_t | store_binary_custom_chunk (std::ostream &, const BaseProperty &, OMFormat::Chunk::Entity, bool) const
Protected Member Functions inherited from OpenMesh::IO::BaseWriter
bool | check (BaseExporter &_be, Options _opt) const

## Static Protected Attributes
static const OMFormat::uchar | magic_ [3] = "OM"
static const OMFormat::uint8 | version_ = OMFormat::mk_version(2,1)

## Additional Inherited Members
Public Types inherited from OpenMesh::IO::BaseWriter
typedef unsigned int | Option

## Detailed Description

Implementation of the OM format writer.

This class is singleton'ed by SingletonT to OMWriter.

## Member Function Documentation

## ◆ write() [1/2]

bool OpenMesh::IO::_OMWriter_::write | ( | std::ostream & | _os,
|  | BaseExporter & | _be,
|  | Options | _opt,
|  | std::streamsize | _precision = `6`
| ) |  | const
| override virtual

Write to a std::ostream.

Parameters

  _os | write to std::ostream
  _be | BaseExporter, which specifies the data source
  _opt | writing options
  _precision | can be used to specify the precision of the floating point notation.

Implements OpenMesh::IO::BaseWriter.

## ◆ write() [2/2]

bool OpenMesh::IO::_OMWriter_::write | ( | const std::string & | _filename,
|  | BaseExporter & | _be,
|  | Options | _opt,
|  | std::streamsize | _precision = `6`
| ) |  | const
| override protected virtual

Write to a file.

Parameters

  _filename | write to file with the given filename
  _be | BaseExporter, which specifies the data source
  _opt | writing options
  _precision | can be used to specify the precision of the floating point notation.

Implements OpenMesh::IO::BaseWriter.

The documentation for this class was generated from the following files:

- OpenMesh/Core/IO/writer/OMWriter.hh
- OpenMesh/Core/IO/writer/OMWriter.cc